Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Interface FilterRegistration

All Superinterfaces:
  Registration

All Known Subinterfaces:
  FilterRegistration.Dynamic

    public interface FilterRegistration

extends Registration

Since:
  Servlet 3.0 TODO SERVLET3 - Add comments

Nested Class Summary
`static interface` | `FilterRegistration.Dynamic`

Method Summary
`void` | `addMappingForServletNames(java.util.EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, java.lang.String... servletNames)`
`void` | `addMappingForUrlPatterns(java.util.EnumSet<DispatcherType> dispatcherTypes, boolean isMatchAfter, java.lang.String... urlPatterns)`
`java.util.Collection<java.lang.String>` | `getServletNameMappings()`
`java.util.Collection<java.lang.String>` | `getUrlPatternMappings()`

Methods inherited from interface javax.servlet.Registration
`getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

Method Detail

### addMappingForServletNames

    void addMappingForServletNames(java.util.EnumSet<DispatcherType> dispatcherTypes,
                                   boolean isMatchAfter,
                                   java.lang.String... servletNames)

  Parameters:
    `dispatcherTypes` -
    `isMatchAfter` -
    `servletNames` -
  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### getServletNameMappings

    java.util.Collection<java.lang.String> getServletNameMappings()

  Returns:
    TODO

### addMappingForUrlPatterns

    void addMappingForUrlPatterns(java.util.EnumSet<DispatcherType> dispatcherTypes,
                                  boolean isMatchAfter,
                                  java.lang.String... urlPatterns)

  Parameters:
    `dispatcherTypes` -
    `isMatchAfter` -
    `urlPatterns` -
  Throws:
    `java.lang.IllegalArgumentException`
    `java.lang.IllegalStateException`

### getUrlPatternMappings

    java.util.Collection<java.lang.String> getUrlPatternMappings()

  Returns:
    TODO

Overview | Package | Class | Tree | Deprecated | Index | Help
| Servlet 3.0 - Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.